#!/usr/bin/python
# SPDX-FileCopyrightText: 2020 Bruce Cowan
# SPDX-License-Identifier: CC0-1.0

import sys


if len(sys.argv) != 2:
    print("Syntax: dict.py input_file", file=sys.stderr)
    sys.exit(1)

words = []

with open(sys.argv[1], 'rb') as orig:
    for line in orig:
        word = line.decode('iso-8859-15')
        words.append(word.split('/')[0].strip('\n'))

words = sorted(words, key=str.casefold)

with open('words.txt', 'w') as out:
    for word in words:
        out.write(f'{word}\n')
